> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync Greenhouse Candidates

> Fetches hired candidates from Greenhouse Harvest and caches them encrypted on the credential.

Not available to API keys yet. It will need `integrations:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/sync-greenhouse-candidates
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/sync-greenhouse-candidates:
    post:
      operationId: syncGreenhouseCandidates
      summary: Sync Greenhouse Candidates
      description: >-
        Fetches hired candidates from Greenhouse Harvest and caches them
        encrypted on the credential.


        Not available to API keys yet. It will need `integrations:write`.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncGreenhouseCandidatesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SyncGreenhouseCandidatesResponse:
      type: object
      properties:
        candidates:
          type: array
          items:
            type: object
            properties:
              candidateId:
                type: string
              applicationId:
                type:
                  - string
                  - 'null'
              jobId:
                type:
                  - string
                  - 'null'
              firstName:
                type: string
              lastName:
                type: string
              fullName:
                type: string
              email:
                type:
                  - string
                  - 'null'
              jobTitle:
                type:
                  - string
                  - 'null'
              department:
                type:
                  - string
                  - 'null'
              location:
                type:
                  - string
                  - 'null'
              startDate:
                type:
                  - string
                  - 'null'
              hiredAt:
                type:
                  - string
                  - 'null'
              imported:
                type: boolean
              eligible:
                type: boolean
              ineligibleReason:
                type:
                  - string
                  - 'null'
            required:
              - candidateId
              - applicationId
              - jobId
              - firstName
              - lastName
              - fullName
              - email
              - jobTitle
              - department
              - location
              - startDate
              - hiredAt
              - imported
              - eligible
              - ineligibleReason
      required:
        - candidates
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
